Bug 316991 - libata: doesn't support wildcard matching in ata_blacklist_entry
Summary: libata: doesn't support wildcard matching in ata_blacklist_entry
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4.5
Hardware: All Linux
medium
high
Target Milestone: ---
: ---
Assignee: David Milburn
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-03 15:11 UTC by David Milburn
Modified: 2007-11-17 01:14 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0791
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 16:33:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix based upon upstream (2.30 KB, patch)
2007-10-03 15:14 UTC, David Milburn
no flags Details | Diff
Proposed patch to handle the device with blank model name (382 bytes, patch)
2007-10-17 00:17 UTC, David Milburn
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0791 normal SHIPPED_LIVE Updated kernel packages available for Red Hat Enterprise Linux 4 Update 6 2007-11-14 18:25:55 UTC

Description David Milburn 2007-10-03 15:11:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
There are family of drives that fail when NCQ is enabled and need to be blacklisted as a group rather than by single entries representing unique model_num and model_rev.

Version-Release number of selected component (if applicable):
kernel-2.6.9-55.EL

How reproducible:
Always


Steps to Reproduce:
IO stress on a drive that fails with NCQ enabled.

Actual Results:
System hangs or crashes.

Expected Results:
System should run without problems under IO load.

Additional info:
Extension of BZ 237692 and BZ 239367.

Comment 1 David Milburn 2007-10-03 15:14:43 UTC
Created attachment 214741 [details]
Fix based upon upstream

Comment 3 RHEL Product and Program Management 2007-10-03 17:14:42 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 7 Jason Baron 2007-10-10 19:09:26 UTC
committed in stream U6 build 62. A test kernel with this patch is available from
http://people.redhat.com/~jbaron/rhel4/


Comment 9 David Milburn 2007-10-17 00:17:26 UTC
Created attachment 229351 [details]
Proposed patch to handle the device with blank model name

Comment 10 David Milburn 2007-10-17 00:21:03 UTC
The patch in comment#9 fixes a regression found upstream.

http://marc.info/?l=linux-ide&m=119239525008307&w=2

Comment 13 errata-xmlrpc 2007-11-15 16:33:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0791.html



Note You need to log in before you can comment on or make changes to this bug.